Last Comment Bug 214675 - Remove Profile Manager UI
: Remove Profile Manager UI
Status: NEW
[have patch]
:
Product: Toolkit
Classification: Components
Component: Startup and Profile System (show other bugs)
: unspecified
: All All
: P3 enhancement with 31 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Benjamin Smedberg [:bsmedberg]
Mentors:
Depends on: 206556 539524
Blocks: 215093
  Show dependency treegraph
 
Reported: 2003-07-31 14:55 PDT by Ben Goodger (use ben at mozilla dot org for email)
Modified: 2016-07-28 23:21 PDT (History)
133 users (show)
chofmann: blocking‑aviary1.0PR-
chofmann: blocking‑aviary1.0-
asa: blocking1.8b5-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
turn off profile manager UI for firefox (6.54 KB, patch)
2004-05-20 15:39 PDT, Ben Goodger (use ben at mozilla dot org for email)
bryner: review+
Details | Diff | Splinter Review
Wrapper for firefox.exe that terminates old firefox.exe processes that did not cleanly shut down.c (8.30 KB, text/plain)
2005-04-28 13:03 PDT, mozilla@moonlightdesign.org
no flags Details
Remove profile manager and named profile support, rev. 1 (124.17 KB, patch)
2009-12-10 15:53 PST, Benjamin Smedberg [:bsmedberg]
no flags Details | Diff | Splinter Review
Pseudocode for suggested profile folder handling (1.32 KB, text/plain)
2009-12-30 12:55 PST, Matthew Turnbull [Bluefang]
no flags Details
Get Started with Dropbox.pdf (675.87 KB, text/plain)
2015-12-06 10:41 PST, muis.aja
no flags Details

Description Ben Goodger (use ben at mozilla dot org for email) 2003-07-31 14:55:00 PDT
Profile Manager is still present in Firebird, and as such it requires a UI
review, respecification and update.
Comment 1 shadytrees 2003-08-07 10:59:48 PDT
I think it needs the ability to be accessed from within Firebird, as many users
have been complaining about the effort needed to open it.
Comment 2 Andy Edmonds 2003-12-13 07:12:52 PST
For windows XP and linux users, the typical users will presumably use XP login
accounts to separate individuals. 

A bigger end user experience goal might be achieved through mapping gecko
versions in the profile manager and warning the user of a potential error
causing state -- or can we assume that upgrades will not cause profile
incompatibility in the future?
Comment 3 Arthur Wiebe 2004-03-06 17:44:57 PST
It would be great if you added a menu item or something to get to the Profile
Manager. I have more than one profile on my user and the average user would have
no idea how to open the Profile Manager on OS X without specific directions.
Comment 4 Tim Martin 2004-05-03 22:52:57 PDT
The firefox 0.8 windows installer adds a shortcut in the
[start->programs->mozilla firefox] menu which says profile manager.  It starts
firefox with the -p switch.  However, if you click on it while firefox is
running all it does is bring up another firefox window.  This isn't very
intuitive.  Either it should bring up the profile manager, or it should display
a message (if necessary in the new firefox window) saying that it can't unless
firefox is closed.

(Sorry if this doens't belong here, or if this has been changed in 0.8+)
(And given how often the first piece of advice given in the support forum is to
create a new profile, it seems like access from within firefox would be good.) 
Comment 5 Ben Goodger (use ben at mozilla dot org for email) 2004-05-19 03:54:23 PDT
Need to turn this off for 1.0. 
Comment 6 Ben Goodger (use ben at mozilla dot org for email) 2004-05-20 15:39:05 PDT
Created attachment 148991 [details] [diff] [review]
turn off profile manager UI for firefox
Comment 7 Ben Goodger (use ben at mozilla dot org for email) 2004-05-20 15:44:37 PDT
Comment on attachment 148991 [details] [diff] [review]
turn off profile manager UI for firefox

Requesting review for the configure.in/autoconf.mk.in changes for the trunk
Comment 8 Peter van der Woude [:Peter6] 2004-05-24 09:17:05 PDT
Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7) Gecko/20040524
Firefox/0.8.0+ zip version.

Profile Manager (started from cmd line) at one point shows the button to select
profile directory.
The button doesn't work.
remove button or make functional ?
Comment 9 Wolf [:wolf] 2004-05-30 14:50:25 PDT
Uh... How does this affect users who keep there profile at non-standard
locations? I for one, don't use the standard %appdata%\phoenix (I'm on 0.8)
path. but rather a location on my data drive, D:\. How do you specify via a
command line a non-standard profile location like D:\Application Data\Mozilla
Profiles\Firefox\?

Alot of people like Firefox's profiles for there mobility, such as the growing
number of people using firefox+profile on a thumbdrive, etc? how does this
affect them?

Also, I find it hard to believe most Win32 users *really* want to have to use
Command Line switches over a UI to create/manage a profile, particularly since
creating a new profile a quite useful debugging method even for end-users when
they have a strange problem? It's not that it's a task you do daily, unless
you're testing, but it's not a point to be disregarded as "not something
end-users ever do" either.

It's been pointed out to me that there's no bloat/perf gains here, since the
back-end is remaining, and Thunderbird has already made modifications to the
profile manager since the Aviary branch opened to improve it's look, what's the
point of removing it?
Comment 10 Phil Walsh 2004-05-31 05:49:48 PDT
Please bring back the ability to chose the profile folder - it is very 
important for me as I keep my profile on a mapped network drive so it's 
accessible no matter which PC I log in to on the university network. This is a 
blocker for me, without this ability I cannot use firefox here (both firefox 
and the profile are stored on a network drive - I have no local write access)
Comment 11 Jed Brown 2004-05-31 21:41:03 PDT
I agree, the profile manager is escential when developing extension/themes and
testing them.
Ben could you inform us on what exactly you have planned or are thinking? 
That could help us to help you and get this resolved the best way possible for
everyone (devs, users, testers, etc.).
Comment 12 Lorenzo Colitti 2004-06-01 01:11:09 PDT
Will we still be able to choose another profile using -p in the stock
mozilla.org builds? I for one use this...
Comment 13 alanjstr 2004-06-01 17:32:23 PDT
Due to recent checkins, profile folder location can be chosen via command line.
 You can still create and use new profiles via command line as well.
Comment 14 Bradley Chapman (not reading bugmail, still gone but not forever) 2004-06-02 08:38:17 PDT
Does the removal of the Profile Manager UI tie in with bug 177996, which has to
do with the UI appearing as a result of trying to open a second Firefox window
external to the program?

I'm just curious if this removal and the script changes in 177996 go hand in
hand, with the ultimate result being that simply calling Firefox in Linux n
times will open n windows or n tabs.
Comment 15 alanjstr 2004-06-02 09:50:43 PDT
Per comment 5, am re-summarizing.

Bug 177996 is for managing profiles via command line.  
Comment 16 Jean-Marc 2004-06-02 16:01:05 PDT
(In reply to comment #13)
> Due to recent checkins, profile folder location can be chosen via command line.
>  You can still create and use new profiles via command line as well.
Sorry for a question that won't help solving this bug, but how ? (WinXP, Linux,
Mac OS). I never saw a list of the command line switches allowed. I only know
"-P". Unfortunately "firefox -?" or "firefox --help" are not there to help.
Comment 17 Jean-Marc 2004-06-02 16:19:38 PDT
(Answering to myself)
1. Create a dummy /path/to/profile/folder/pref.js
2. firefox -CreateProfile "name /path/to/profile/folder"
(Adapt the path if it's Windows instead of Linux, or Mac OS)
Source :
http://kb.mozillazine.org/index.phtml?title=Firefox_:_Tips_:_Profile_without_.slt
Note 1 : I still think that "-?" should be implemented anyway.
Note 2 : I didn't test the above myself yet.
Comment 18 Anton van Bohemen 2004-06-03 02:24:12 PDT
I've been testing what you found, Jean-Marc, but it does not work. In fact, I've
never succeeded on changing the profile dir to anywhere else besides
%userprofile%\Application Data\Firefox on Windows. This may be a different bug,
but still, I've been trying this since Phoenix 0.5. Here's what I did:

1. Left my old profile (in app data) where it was
2. Followed the instructions in the MozillaZine KB article
Result 1: The dummy prefs.js is still there.
Result 2: In <path-to-profile> there are now these subfolders:
"profile-name\xxxxxxxx.slt" The new profile is not (as the article implied)
directly in <path-to-profile>.
3. Start Firefox. Result: new (blank) profile is used. I knew this because no
proxy is set in a blank profile, and I can only browse with one. I set the proxy
and shut down Firefox.
4. Since it seemed to work, I removed my old profile from %userprofile%\app data.
5. Start Firefox again.
Result: Proxy setting was blank again. After checking: A new default (blank)
profile is created in %userprofile%\app data!!
6. Shut FF and launch with -P: only the default profile is there, not the custom
made profile from step 2.

Somehow, there needs to be a profile in app data, whether it is used or not. If
it is not there, a new profile will be created there, and used by default. 

If anyone can give me a working way to move the entire profile somewhere else
than %userprofile%\application data\firefox\profile-name\xxxxxxxx.slt, I would
love to hear it. I want to get rid of the app data\firefox dir. The most
user-friendly way would be a (working) profile manager ui, else a working
command line. If it is decided that profiles will always be in app data, remove
the profile manager completely, including any commandline options related to that.
Comment 19 Jean-Marc 2004-06-03 07:03:01 PDT
Thank you Anthon. In my comment #16 I actually hit the long-standing (2000-02-05
!!!) bug http://bugzilla.mozilla.org/show_bug.cgi?id=26761 (Win32). The
workaround in short : "firefox -h > %TEMP%\help.txt"
Another Mozilla reference (for plain Mozilla but still valid for Firefox) :
http://www.mozilla.org/docs/command-line-args.html
(This was my last non-bug-solving post. I just hope that this will save time to
other testers, like Anthon did.)
Comment 20 Bogdan Stroe 2004-07-06 10:23:54 PDT
Is there a clear way to deal with bugs like bug 212512, bug 122698, and bug
135137 in the absence of a profile manager? This issues arise in the case of
deployments on large networks, with profiles stored on network drives.
Comment 21 chris hofmann 2004-08-16 16:47:21 PDT
-minus for preview release, and maybe for final.  think we could get by with out
work on this since there is a lot to do. 
Comment 22 Brant Gurganus 2004-08-25 07:42:12 PDT
Are there any single-user OSs on which Windows runs?  I don't know of any,
Linux/Unix has been multi-user since the beginning.  Windows has been multi user
since 9x or even before if you include Windows for Workgroups.  I'm not sure
about Mac but since it is now based on Unix, I'm sure it is also multi-user
capable.  User management belongs in the realm of the OS at this point.
Comment 23 David Janes 2004-10-16 11:02:35 PDT
What is happening with this? Profile Manager is still accessible from the
command line, but not from the Firefox menu/Start Menu (on windows).

I created a bug about the lack of it on the Start Menu (bug 263840) but it's
apparently not going to be added. Is it going to be on a Firefox menu?
Comment 24 Michael Lefevre 2004-12-11 08:50:07 PST
I realise this has been said already, but I'm going to go ahead and spam this
bug anyway...

In the space of a couple of hours on IRC and in the Firefox forums, there have
been 3 people that have "lost" their profiles due to a crash leaving their
profile being locked, and Firefox creating a new profile automatically.
Currently the advice for them to switch back to original profile is quite
simple. Removing this UI altogether will break that. If profile manager is
removed, then Firefox should not create or switch profiles without the user
explicitly telling it to do so, even if it finds that an existing profile that
is broken.
Comment 25 monoclast 2005-03-03 08:26:04 PST
(In reply to comment #22)
> Are there any single-user OSs on which Windows runs?  I don't know of any,
> Linux/Unix has been multi-user since the beginning.  Windows has been multi user
> since 9x or even before if you include Windows for Workgroups.  I'm not sure
> about Mac but since it is now based on Unix, I'm sure it is also multi-user
> capable.  User management belongs in the realm of the OS at this point.

When I bring my laptop in to worrk, I switch to a profile that has proxy servers specified.   When my 
laptop is at home, I do not need proxy settings.  For me and others like me, this is anything but a user 
management issue. 
Comment 26 alanjstr 2005-03-03 12:56:54 PST
You're using a whole profile just for proxy settings?  I just go to the options
panel and change the radio button.  Or a simple extension could do that toggle.  
Comment 27 mozilla@moonlightdesign.org 2005-04-28 13:03:45 PDT
Created attachment 182091 [details]
Wrapper for firefox.exe that terminates old firefox.exe processes that did not cleanly shut down.c

I wrote a small Win32 replacement for firefox.exe that calls the original
firefox.exe (renamed to firefox1.exe) after ensuring that all running
firefox1.exe processes have at least one visible window. Any firefox1.exe
processes that have no visible windows are forcibly terminated.

We, like many people out there, occasionally have users who "lose" their
bookmarks and start page due to something causing Firefox to uncleanly shut
down and thus keep the profile locked. I'm not going to tell our end-users to
go into the Task Manager to end the process (think "Auntie Mabel" or "Grandma"
type of users), so I wrote a small tool that does that for them.

I'm hoping that perhaps a part of this can go into the real firefox.exe so that
it can kill any previous instances that have no windows open and thus prevent
the Profile Manager from appearing (at least, that's one idea).

I understand that fixing the root cause of freezing problems rather than
working around them is the best approach, but this workaround can handle cases
of rogue plug-ins that I suspect are causing Firefox to hang rather than
Firefox itself.

BTW, thanks for an excellent web browser! The IT Department of a non-profit
that I am in, with my help, rolled out Firefox to all of our 100 or so
computers as a part of our Windows XP migration. I'll send more details to the
appropriate place if I find out what caused one particular user's Firefox to
"lose" his bookmarks on two occasions. For now, I've just manually edited
profiles.ini to switch his default back to his original to "restore" his
bookmarks and make him happy, though I'm hoping that this workaround will
prevent this from happening on our agency's computers.
Comment 28 Nickolay_Ponomarev 2005-04-28 13:29:38 PDT
wrong bug, you need bug 239223 / bug 253950.
Comment 29 mozilla@moonlightdesign.org 2005-04-29 10:38:36 PDT
Comment on attachment 182091 [details]
Wrapper for firefox.exe that terminates old firefox.exe processes that did not cleanly shut down.c

My bad; I'll repost the updated version to the correct bug. Sorry about that..
Comment 30 Eric Butler 2005-06-25 11:43:44 PDT
Why not remove all code for multiple profiles (profiles at all) all together?
Every modern operating system has multiple users, which is what people should be
using. I, like many people, can no longer count on both of my hands the number
of times that either I or one of my friends have "lost" all their settings
because their profile was locked.

The correct solution for people who wish to store their profiles in a
non-standard location should be really be a single preference *with* a UI to
change it at any time (would automatically move all your settings to new location).

Could someone please mark the blocking-aviary1.1 flag so we as users can get an
idea of this bug's prority?

Thanks.
Comment 31 Nitin (vfwlkr) 2005-09-29 00:24:37 PDT
Nominating for 1.8b5, users are seeing dataloss by using the UI to delete profiles
http://forums.mozillazine.org/viewtopic.php?t=322986
Comment 32 José Jeria 2005-09-29 01:56:47 PDT
Wouldnt fixing Bug 302087 be better instead of removing this feature?
Comment 33 Richard Neill 2005-11-02 09:50:24 PST
(In reply to comment #30)
> Why not remove all code for multiple profiles (profiles at all) all together?

Please, please do this. At least, can we have a command-line switch for 
"firefox --prevent-accidental-multiple-profiles". I've also had to de-mangle this on several occasions.

If the user's profile is somehow locked, I think the solution is either:

1)  use mozilla-firefox -remote   (open in existing firefox process)

2)  killall -9 mozilla-firefox    (kill the process that has the lock, then 
    rm path/to/profile/Lock         break the lock)

3)  exit 1                        (exit with failure.)


It is extremely unlikely that the user actually wants a new profile - and merging the resulting mess back into a single profile is a difficult job! [It is even worse for mail or mozilla-suite]. Konqueror has neither salting, nor multiple profiles, and I think it is better for that.

    
Comment 34 Michael Lefevre 2005-11-02 12:54:41 PST
"Please, please do this. At least, can we have a command-line switch for 
"firefox --prevent-accidental-multiple-profiles". I've also had to de-mangle
this on several occasions."

The fix for bug 253950 has pretty much resolved that issue. The profile manager UI won't appear because of a locked profile now - the user has to specifically use a command line switch in order to mess things up, which is unlikely.
Comment 35 Steven Lumos 2006-02-24 11:08:22 PST
Profiles going away would be a significant loss of functionality for me.  At work for example I have a 'dev' profile with extensions for web development installed and nothing else, and a 'default' profile with Adblock and Greasemonkey and all kinds of fun that I want to keep away from real work.  Having to set MOZ_NO_REMOTE just to use a different profile has already made using profiles harder, now instead of an official wrapper I have to have my own to set MOZ_NO_REMOTE only in the right cases.

Using additional OS accounts is painful and not even possible for all users.
Comment 36 Tim De Pauw 2006-09-03 23:45:39 PDT
I'm seeing two main issues here.

- Profiles should be closer related to user accounts
- Some users want to specify an arbitrary location for their profile

So how about meeting them in the middle? Here's my proposal.

- Remove the profile manager GUI altogether
- Keep firefox -p $profilepath around
- If no profile path was specified, use the one in the default location, i.e. %APPDATA%\Mozilla\Firefox, ~/.mozilla/firefox/, ...
- If a profile was specified, (check if it exists and) use it, and inform the user, e.g. through a dialog box, in the title bar, ...
- In both cases, if the profile is in use, inform the user, tell him how to fix it, and exit Firefox

This way, profiles become more of an "advanced" feature, which removes a layer for novice users, while maintaining all of the profile switching functionality for expert users.

The only caveat I see is that, on single-user OSes, users would have to specify the profile path on every occasion. However, is there any that Firefox still supports, and/or which still has a significant user base?

As always, just my two cents. Sorry if I'm being redundant.
Comment 37 Mark Turner 2007-03-25 22:28:24 PDT
Let people get knowledge of profile management gradually.
At least to be able to easily decide which folders to back up.

More soon....

Markt
Comment 38 Dori 2008-03-07 23:40:34 PST
Woah, didn't even know people wanted to get rid of this functionality. This is not useful just for multiusers, it's very useful to a single user. I have a profile for Webmail and Banking (separate so there is no risk of session hijack), a profile for normal browsing (which I configure to accept cookies only from certain sites, etc.), one for one-time use browsing (where history gets deleted after browser is closed), one for testing bugs which has no add-ons or themes, etc. This is very useful functionality, please don't get rid of it.
Comment 39 Richard Neill 2008-03-08 16:58:24 PST
What is very important is to prevent the return of the old Mozilla-suite bug where if a profile was somehow locked, the application would pop up a "this profile is in use, do you want to create another one?" dialog. 

The result is that non-expert users ended up with multiple unwanted profiles, and a horrid job of merging them together again (this was really nasty with mail).

In virtually all cases, the right behaviour was to delete the lock file, but even a complete refusal to start (resulting in a call to tech support before it got too late) would have been better than auto-generating another profile.

That's why so many long-time Mozilla-users really really hated the multiple profile "feature"!  

I can see it's useful, just as long as it can never occur accidentally!

BTW, if we're doing this, can we also get rid of the salting of names in the profile directory. (the silly subdirectories named 'ov54jtis.default' etc.  It really doesn't provide any useful security improvement, and it's ugly.
Comment 40 Benjamin Smedberg [:bsmedberg] 2009-12-10 15:53:41 PST
Created attachment 416998 [details] [diff] [review]
Remove profile manager and named profile support, rev. 1

I want to do this for the 1.9.3 cycle. This removes a fair bit of complexity from nsAppRunner.cpp and related code. This will help make it possible to refactor all our startup code (XPCOM and toolkit) into a single place. It will also make it possible to re-add a well-designed profile system like dmills wants to do for Weave integration that doesn't require application restart.
Comment 41 Matthew Turnbull [Bluefang] 2009-12-30 12:55:49 PST
Created attachment 419607 [details]
Pseudocode for suggested profile folder handling

I'm all for creating a new profile system, if it has feature parody of the current one (create, select, and delete). However, until that happens, at the very least I'd like to see feature parody on the command line. Just having -profile does not do that.

I also don't see how handling this at the command line would prevent re-factoring the code as you mentioned. Yes, it adds code, but the cood its self is not complex. And if I'm reading your patch correctly, a lot of the functionality is already there. It's just missing code to handle the profiles.ini.

For example:

-profile <path>

Remains unchanged. Possibly create the dir if it doesn't already exist.

-p <name> [--delete] [--new [<path>]] [--default]

IMO this could be handled almost entirely in FindDefaultUserProfile (maybe rename to GetUserProfileDir). If <name> exists, select it. If --delete is specified, delete it than exit. If --new and <name> doesn't exist, create the profile (optionally at <path>). And if --default exists, mark it as default.

At the very least, is there a reason why the "-p <profile>" option is being removed? I wouldn't think that would add very much complexity to the FindDefaultUserProfile function. Removing it would cause a lot of problems for people who currently do use multiple profile folders.
Comment 42 Jesper Hansen 2009-12-30 13:02:15 PST
Voting against removing Profile Manager UI.
And please create a new bug report. This is way old.
Comment 43 Reed Loden [:reed] (use needinfo?) 2009-12-30 13:22:18 PST
So, I'm all for reinventing the profile system, but I don't think it's really feasible to just completely remove the current profile system without having a replacement ready. I use multiple profiles on a daily basis for testing and other development work, and I have Minefield set to ask me at every start-up which profile I want to use. Not being able to use separate profiles would be a huge problem for me.

I also know that most everybody in QA uses multiple profiles for testing, too, so unless you want them not to be able to test 1.9.3, some type of replacement needs to be available before this code is removed.
Comment 44 Shawn Wilsher :sdwilsh 2009-12-30 13:24:44 PST
(In reply to comment #43)
> So, I'm all for reinventing the profile system, but I don't think it's really
> feasible to just completely remove the current profile system without having a
> replacement ready. I use multiple profiles on a daily basis for testing and
> other development work, and I have Minefield set to ask me at every start-up
> which profile I want to use. Not being able to use separate profiles would be a
> huge problem for me.
> 
> I also know that most everybody in QA uses multiple profiles for testing, too,
> so unless you want them not to be able to test 1.9.3, some type of replacement
> needs to be available before this code is removed.
You are exaggerating the situation.  You can still use profiles, but it requires you to specify the profile location with --profile
Comment 45 Reed Loden [:reed] (use needinfo?) 2009-12-30 13:25:51 PST
and yes, I see that --profile <dir> will still be available, but that's a huge killer for productivity, as I'd have to keep a list of my salted profile directories easily available and accessible, or either rename them to be something more rememberable, which defeats the purpose of salted profiles.
Comment 46 neil@parkwaycc.co.uk 2009-12-30 14:05:39 PST
-profile isn't the same anyway, because it puts everything in the same folder, whereas the create profile wizard separates the local and roaming data.
Comment 47 Mark Turner 2009-12-30 15:16:38 PST
The profile manager is pretty much fine.
It's the User-Access which is not.
All that's required is an extension for those who are interested in it's flexibility.

MarkT

チェックアウトが、Jingle だ!
It's a Jingle Out There!
Comment 48 Majken Connor [:Kensie] 2010-01-01 13:59:21 PST
Here's my opinion on profile situation wrt support:

The current UI really isn't that user friendly as we have to make sure people understand how to exit Firefox properly etc, and if someone comes back for more help we have to go through the process of handling multiple profiles. However it's still necessary to be able to get an answer to "is the problem caused by something in the profile" and it needs to be something users can manage.

There should be a switch, I'd put it in the help menu, that acts like safe mode (beef up safe mode?) but lets you run Firefox in a clean profile and ideally doesn't leave the profile on disk after you're done. User friendly and doesn't risk data loss for problem determination.
Comment 49 Mark Turner 2010-01-01 19:12:59 PST
Additionally, an extension reached via the help menu could 'register' portable profiles.
Firefox Portable must be popular enough to warrant a mention in profiles.
This could be the missing link in (significant) version upgrade paths.
Such an extension could monitor the availability of extensions for the new FF version.
The extension could make use of the svg graphics engine to show status of these.
It could also show a graphic representation of data stored in off-line DB's.
Giving the user a more better handle on increasingly important config-data.

HNY! MarkT
Comment 50 Al Billings [:abillings] 2010-01-12 10:06:42 PST
QA and others use profiles all the time. Until a replacement is fully implemented, I can't see removing the code.
Comment 51 Benjamin Smedberg [:bsmedberg] 2010-01-12 10:30:47 PST
As noted in this bug, -profile still exists and has all the functionality you need, I think. If not, please be specific about what it doesn't provide.
Comment 52 Al Billings [:abillings] 2010-01-12 11:09:00 PST
It doesn't provide a UI that users will use.

Why are we taking this out now? Who made this decision and when?
Comment 53 Benjamin Smedberg [:bsmedberg] 2010-01-12 11:26:21 PST
There are two points:

* remove UI which confuses users and generates bugs: the creation and removal of profiles, and the interaction with the remoting system leaves users in profiles they don't expect, or deleting directories they don't expect, and other conditions
* simplify the startup sequence to remove process startup. For 1.9.3 I would like to try and remove all sources of restarting (profile manager, EM re-registration, version bumps). The profile manager is just one part of this task.

I'm made the decision, and I'm hoping Mossop will confirm it.
Comment 54 Robert Kaiser 2010-01-12 11:44:49 PST
If we ship a SeaMonkey release without a profile manager, a number of our users will try to kill us. As we can't afford to fork the Mozilla platform, we probably will need to swallow whatever bitter pills you guys hand us, but can we request to have someone of your team tend to those poisonous emails and newsgroup posts we'll get for this?
Comment 55 Benjamin Smedberg [:bsmedberg] 2010-01-12 11:47:53 PST
I discussed with Neil the possibility of SeaMonkey implementing its own profile manager UI, and this should be doable: you would have to implement it "outside" of XRE_main, and perhaps add a little support for passing explicit profile paths into XRE_main, but it's doable if you want to manage the restarts.
Comment 56 Al Billings [:abillings] 2010-01-12 11:48:58 PST
Maybe we should discuss this on dev.planning. Mr. Smedberg told me today that's where these kinds of discussions go.
Comment 57 Karsten Düsterloh 2010-01-12 12:00:56 PST
Removing such a wide-spread used (advanced) feature is just insane, especially given the pretext of "adding something better later" (which won't happen anyway). 

Only those users could be confused who actively *chose* to be confused, since they need to have called the profile manager from the commandline(!) in the first place (or using SeaMonkey).

Trying to cure diseases by killing everyone who's infected isn't exactly a good doctor's recipe...
Comment 58 Henrik Skupin (:whimboo) 2010-01-12 14:22:03 PST
Please use the public discussion which happen here:
http://groups.google.de/group/mozilla.dev.planning/browse_thread/thread/06900b8b97c2655d#
Comment 59 Phillip M. Jones, C.E.T. 2010-01-13 07:03:44 PST
Can anyone provide a sane reason for the possibility of removing Profile Manager?

What about the case where you use a Profile and need to test for a problem by creating another.

Or a pesron might want to use a different profile say if they used two different ISP and or services.

I am  Mac User and yes I can set up different Profiles on my Computer. but that means I have to do multiple installs of other applications  Word, Quicken, Acrobat, etc. and the have licenses that do not permit installing more than one copy on a Desktop, laptop and on a Back up media.

If people are not smart enough to  not accidentally create multiple Profiles, that their problem.

I've been using Mozilla Products since the days of Netscape navigator 3.0.1 a Gold and I've never *accidentally* created a create a new profile. In fact the way Profile Manager is set up on SM and FF for mac it impossible to accidentally do so.

Sounds like people are just getting lazy and don't want to maintain the code, or just don't want to port over to new code before people leave that have the ability. I don't know why people want to take a good product and damage it just because they are unwilling to work on it.
Comment 60 Jean-Marie COUPRIE 2010-01-13 11:57:57 PST
I have 3 profiles : 1 normal surf with strict security options (I cannot register to AMO because I don't see the anti-bot image to copy), 2 default options (in case 1 is too strict, here I can see the anti-bot image) and 3 more lax needed for some applications.
 I wish to keep this functionality. If you remove Profile Manager UI, how can I define several sets of options and shift from one to the other ?
Comment 61 Henrik Skupin (:whimboo) 2010-01-13 12:35:37 PST
Please stop adding more comments to that bug. As you can see in the given newsgroup post we are working out possible solutions. Please stay tuned. Thanks.
Comment 62 Phillip M. Jones, C.E.T. 2010-01-13 14:45:18 PST
You don't want to know from users they want an Item developers are so anxious to kill.
Comment 63 Phillip M. Jones, C.E.T. 2010-01-13 14:47:45 PST
Can a Bug vote be against or just for? IF I can vote againt. I will
Comment 64 u88484 2010-01-13 14:52:49 PST
(In reply to comment #63)
> Can a Bug vote be against or just for? IF I can vote againt. I will
Please stop spamming the bug with useless comments and questions.  Bugzilla has FAQs you can read to explain what each thing is (for the record you are voting for whatever the bug summary is.  In this case you'd be voting for the removal).  The discussion for this bug is at http://groups.google.co.uk/group/mozilla.dev.planning/browse_thread/thread/06900b8b97c2655d# NOT in this bug report.

No reply is needed to apologize or to ask any other questions.
Comment 65 David E. Ross 2010-01-13 16:20:27 PST
This has evolved into an RFE and not a discrepancy.  Even the Summary appears to be asking for a change in design instead of a fix for a discrepancy.  Changing Importance from "Normal" to "Enhancement".  

Should not the Product and Component be "Toolkit" and "Startup and Profile System"?
Comment 66 Jeff Hammel 2010-08-25 17:50:35 PDT
Any status on this bug?  When will the ProfileManager UI be removed?  The application specced in bug 539524 is almost at a beta stage.  Are there any other blockers?
Comment 67 neil@parkwaycc.co.uk 2010-12-08 13:30:00 PST
(In reply to comment #53)
> For 1.9.3 I would like to try and remove all sources of restarting
> (profile manager, EM re-registration, version bumps).
The EM re-registration was solved by splitting startup into two parts, one of global chrome and components (including EM) and one of profile chrome and components. Could not the profile manager be interposed between the two?
Comment 68 Benjamin Smedberg [:bsmedberg] 2010-12-08 13:32:35 PST
No: the problem here is not simply *registration*, but *access*: we need to read and act on preferences pretty early in startup, and fixing that ordering problem is huge. There is also the fact that for performance reasons we keep all kinds of cache data in the profile fastload (now startupcache) files.
Comment 69 Xavier Robin 2011-01-13 04:49:11 PST
Under Windows, there is a missing library MSVCR100.dll. See also bug 569268.
Comment 70 Mark Turner 2011-01-13 17:32:24 PST
This bug report / thread is a bug.
It is a Barf-bug.
A MSoft-Troll-bug.
Whoever / whatever advocates the removal of access to user oriented data is dangerous to the mission and mandates of Mozilla.
Even the deletion of one's own data should be an option.
With safety cover over the button..
http://www.radioshack.com/product/index.jsp?productId=2062493

User preferences should be at a visibility equal to menu-bar visibility.
The user data is the user-equity of the Mozilla experience.
How can people continue to love it when they do not know where it is or have control of it?

MarkT
Comment 71 Phillip M. Jones, C.E.T. 2011-01-13 18:20:16 PST
Mark you do know your post is out of line and may get your account closed especially for the advertising in your link.

Although users would prefer having the Profile Manger as it is.

The developers have they decided  they know better what the users want and need than the users do.

Just be resigned to using what the developers wish to give us.
Comment 72 realname 2011-01-20 09:17:43 PST
WTH? You can't remove a useable feature - Firefox 4 has removed a lot of useable features yet (like statusbar and the helpful addons dialog to replace it with silly, unuseable garbage). Do you want to get back times with Firefox and 5 % spreading?
Comment 73 Paul [pwd] 2011-01-20 09:30:46 PST
(In reply to comment #72)
> WTH? You can't remove a useable feature - Firefox 4 has removed a lot of
> useable features yet (like statusbar and the helpful addons dialog to replace
> it with silly, unuseable garbage). Do you want to get back times with Firefox
> and 5 % spreading?

The profile manager is alive and well, it's just been detached from the installation based on how little it's used. Not exactly a huge issue, especially given that there are performance gains. It will also not be removed until after Firefox 4.0. You can find further information and a download of the new profile manager here: http://jagriffin.wordpress.com/2011/01/11/profilemanager-1-0_beta1/
Comment 74 Jean-Marie COUPRIE 2011-01-21 07:23:49 PST
Many thanks to Paul [sabret00the]Comment 73 2011-01-20 09:30:46 PST for his clarification !
With this before comment 10 the length of this bug report would have been divided by 3 or 4 ! And also the lost time !
A missing clarification : when I start Firefox directly (without going through the new profile manager) what do I obtain ? Default profile ? This seems obvious but should be stated...
I don't like to be forced to go to the huge (for same reason see §2) thread :
http://groups.google.co.uk/group/mozilla.dev.planning/browse_thread/thread/06900b8b97c2655d#
Comment 75 Chuck Baker 2011-01-21 07:34:23 PST
Just to be clear, are we talking about only removing _access_ to the profile
manager UI (via cmd line or otherwise) or about removing all related code (like
the nsIToolkitProfileService component) from the codebase?

The FEBE extension currently uses the nsIToolkitProfileService component
extensively to create/restore backed up profiles.  If this is removed, the
extension will lose much of its functionality.
Comment 76 Paul [pwd] 2011-01-21 07:41:22 PST
(In reply to comment #74)
> Many thanks to Paul [sabret00the]Comment 73 2011-01-20 09:30:46 PST for his
> clarification !
> With this before comment 10 the length of this bug report would have been
> divided by 3 or 4 ! And also the lost time !
> A missing clarification : when I start Firefox directly (without going through
> the new profile manager) what do I obtain ? Default profile ? This seems
> obvious but should be stated...
> I don't like to be forced to go to the huge (for same reason see §2) thread :
> http://groups.google.co.uk/group/mozilla.dev.planning/browse_thread/thread/06900b8b97c2655d#



No problem, glad I could help. And yes, if you don't select a profile through the profile manager and instead load Firefox/Minefield directly, it will load whichever profile is set as the default. Of course you can change the default profile by using the profile manager.
Comment 77 Paul [pwd] 2011-01-21 07:48:48 PST
(In reply to comment #75)
> Just to be clear, are we talking about only removing _access_ to the profile
> manager UI (via cmd line or otherwise) or about removing all related code (like
> the nsIToolkitProfileService component) from the codebase?
> 
> The FEBE extension currently uses the nsIToolkitProfileService component
> extensively to create/restore backed up profiles.  If this is removed, the
> extension will lose much of its functionality.

Having had a quick butchers at the patch, nsIToolkitProfileService is removed completely. I could be wrong however. Perhaps this would be a good opportunity for the author of the extension you mention to recreate the service in his own flavour in order to sustain the functionality that you'll miss.
Comment 78 Jean-Marie COUPRIE 2011-01-22 07:54:04 PST
The Profile manager described in 
http://jagriffin.wordpress.com/2011/01/11/profilemanager-1-0_beta1/
also includes "create/restore backed up profiles" functionality.
Which is better ? it or FEBE extension ? Do we need both ? We have to check.
Comment 79 Florian J. [:FeuerFliege] 2011-02-05 23:05:19 PST
Will it still be possible to call a specific installation with at specific profile via a short cut or command line?

Will
"Path\to\installation" -P Profilename
or
"Path\to\installation" -profile path\to\profile
still work?
Comment 80 Jo Hermans 2011-02-06 02:02:33 PST
Yes, you can still select an existing profile. It's only the UI that will be removed.
Comment 81 Chuck Baker 2011-02-06 05:10:38 PST
Will nsIToolkitProfileService be removed from the codebase?  In comment #77, Paul indicated that he thought it would be, but was not sure.

Can someone answer this definitively?
Comment 82 Benjamin Smedberg [:bsmedberg] 2011-02-06 07:31:20 PST
If you had spent the 5 minutes to read the patch, you would see quite definitively that it does.
Comment 83 Paul [pwd] 2011-03-27 10:18:31 PDT
Is it still the plan to remove this for Firefox 5?
Comment 84 Dave Townsend [:mossop] 2011-03-27 11:53:20 PDT
(In reply to comment #83)
> Is it still the plan to remove this for Firefox 5?

I've asked Benjamin to produce an updated patch, as soon as that is reviewed we'll land it on mozilla-central. It'll go in whatever is the next release of that code.
Comment 85 Jeff Hammel 2011-03-27 21:53:41 PDT
Please let :jgriffin or myself know if there is any work needed (code/documentation/etc) that needs to be done for the standalone profilemanager (bug 539524) that is blocking for this bug.
Comment 86 Dave Townsend [:mossop] 2011-03-28 10:30:02 PDT
Comment on attachment 416998 [details] [diff] [review]
Remove profile manager and named profile support, rev. 1

Needs an updated patch
Comment 87 Paul [pwd] 2011-09-12 09:04:50 PDT
Has this plan been abandoned?
Comment 88 Benjamin Smedberg [:bsmedberg] 2011-09-15 15:34:42 PDT
No, merely postponed for more important work.
Comment 89 Shawn Thompson 2011-09-27 20:55:19 PDT
Why do we want to remove this anyway? What's the problem?
Comment 90 Phillip M. Jones, C.E.T. 2011-09-27 21:10:18 PDT
They want to save five minutes of Code writing. And some claim That it can cause problems for new users, creating new profiles unintentionally. There is no rational reason to remove it. I've used FF and SM and it predecessors and as long as Profile manager has been in existence. I have never accidentally created a Profile, nor has it on its on.

I think it boils down to a piece a code that developers don't want to be bother with.
Comment 91 Al Billings [:abillings] 2011-09-27 21:12:28 PDT
Please, bugzilla is not a chat forum. Please don't clog up the bug with chatter.
Comment 92 Jeff Hammel 2011-09-27 21:53:03 PDT
The actual reason, afaik, that this is being removed is a significant hit on startup time, which is one of the chief demands of users.  There is also a standalone ProfileManager application, which not only does everything the in-built profilemanager does, but much more. :jgriffin, do you have a link?

Are there any statistics on startup time? These should probably be posted here.
Comment 93 Jonathan Griffin (:jgriffin) 2011-09-28 11:23:01 PDT
(In reply to Jeff Hammel [:jhammel] from comment #92)
> The actual reason, afaik, that this is being removed is a significant hit on
> startup time, which is one of the chief demands of users.  There is also a
> standalone ProfileManager application, which not only does everything the
> in-built profilemanager does, but much more. :jgriffin, do you have a link?

The standalone ProfileManager app is available at http://ftp.mozilla.org/pub/mozilla.org/utilities/profilemanager/1.0/
Comment 94 Benjamin Smedberg [:bsmedberg] 2011-09-30 12:48:50 PDT
Startup time is *not* a reason for this change. The code complexity of named profiles and their poor interaction with OS integration and remoting features is the primary reason for this change. In any case, this bug is not for discussion of the feature in general, please take that to mozilla.dev.apps.firefox.
Comment 95 Marco Castelluccio [:marco] 2011-12-12 13:35:59 PST
Maybe landing this could help with bug 709193.
Comment 96 Juan M. Gonzalez 2012-06-18 03:31:31 PDT
Well, although I also don't see the need to remove the profile manager UI, there is the ProfileSwitcher add-on as well if we need different profiles for work, personal, test, troubleshooting, etc.
Comment 97 Jeff Hammel 2012-06-18 07:48:00 PDT
(In reply to Juan M. Gonzalez from comment #96)
> Well, although I also don't see the need to remove the profile manager UI,
> there is the ProfileSwitcher add-on as well if we need different profiles
> for work, personal, test, troubleshooting, etc.

There is also the standalone profilemanager application, as mentioned in comment 93 : ftp://ftp.mozilla.org/pub/utilities/profilemanager/
Comment 98 Benjamin Smedberg [:bsmedberg] 2013-01-17 07:45:48 PST
I am not working on this currently.
Comment 99 Iain Hallam 2013-04-26 02:23:58 PDT
Although this seems bonkers to me (I'm a heavy user of separate profiles so that I can have different configurations for different jobs or different sync accounts), aren't we ignoring the fact that another browser added profiles in late 2011?

I think with a bit of work on the UI (being able to switch profiles from within the main menu or a toolbar button), this would actually get a lot of traction. A separate application doesn't really cut it - if I just want to switch to work configuration from home, I don't want to leave Firefox to do so - and in fact there are plenty of other tools that allow multiple profiles in the same application with an easy switch between them.

Not all profiles are related to multi-user scenarios or developers.
Comment 100 Phillip M. Jones, C.E.T. 2013-04-26 06:19:41 PDT
I too think it Bonkers to remove. I feel like Its developers runing out of stuff to think up and just removing something Valuable just because they can do it.
Comment 101 Al Billings [:abillings] 2013-04-29 13:53:59 PDT
(In reply to Phillip M. Jones, C.E.T. from comment #100)
> I too think it Bonkers to remove. I feel like Its developers runing out of
> stuff to think up and just removing something Valuable just because they can
> do it.

A bug is not an email list or a web forum. Unless you're contributing to the technical state of this bug, please don't post comments here.
Comment 102 Damian Hickey 2013-07-01 01:39:47 PDT
Rather than remove it, make it easier for those of us with multiple sync'd profiles (home, work, development etc) to launch them. See Google Chrome.
Comment 103 Phillip M. Jones, C.E.T. 2013-10-09 12:53:30 PDT
What am I supposed to do if say I want to create a new Profile to test That new Google Chrome version of FireFox (Austrialias) I hate Chrome worth a passion. But I don't want to screw up my current version now. I already have an Aurora Profile setup. If there is no Profile manger once switch to Austrialias I don't wantto screw upmy regular profile forever.
Comment 104 John Hesling [:John99] (NeedInfo me) 2013-11-27 06:53:35 PST
(In reply to Phillip M. Jones, C.E.T. from comment #103)
> What am I supposed to do if say I want to create a new Profile to test That
> new Google Chrome version of FireFox (Austrialias) I hate Chrome worth a
> passion. But I don't want to screw up my current version now. I already have
> an Aurora Profile setup. If there is no Profile manger once switch to
> Austrialias I don't wantto screw upmy regular profile forever.

This is not intended as a discussion forum but note that
All current Firefox versions including the Nightly UX have the built-in profile manager still. (The standard Nightly is now also Australis)
There is a standalone profile manager available see https://developer.mozilla.org/en-US/docs/Profile_Manager
General Firefox Support questions may be asked on https://support.mozilla.org
Advanced & technical Support questions are better addressed to a suitable external forum such as http://forums.mozillazine.org/index.php
You may also be interested in the mailing lists etc. http://www.mozilla.org/about/forums/#general-development
Comment 105 myisland2001 2014-03-02 13:06:15 PST
Keep it and improve it! Multiple profiles for things like jobs, news, hobbies, technology, school, shopping, etc are a top feature.
Comment 106 David E. Ross 2014-03-05 11:17:30 PST
Use case for multiple profiles:  

I generally browse with preferences set to allow cookies and images only from the domain I have requested and popups disabled, along with some other settings.  I also have an extension installed that inhibits tracking much better than the often-ignored Do-Not-Track flag; that extension makes each request for a Web page send different headers to the extent that it appears I am jumping from one country to another.  

However, when I do banking or manage my investments via the Web, the financial institutions with which I have accounts required that I allow all cookies and images and that I enable popups.  Those sites also get very confused by my tracking-inhibiting extension.  Yes, I could whitelist those sites for cookies, images, and the tracking-inhibiting extension; but I never know what third-party domains also need to be whitelisted.  Thus, I have a separate profile for money management with the preferences set accordingly and the tracking-inhibiting extension not installed.
Comment 107 Alex Jordan [:strugee] 2014-03-27 16:51:36 PDT
(In reply to David E. Ross from comment #106)
> Use case for multiple profiles:  
> 
> I generally browse with preferences set to allow cookies and images only
> from the domain I have requested and popups disabled, along with some other
> settings.  I also have an extension installed that inhibits tracking much
> better than the often-ignored Do-Not-Track flag; that extension makes each
> request for a Web page send different headers to the extent that it appears
> I am jumping from one country to another.  
> 
> However, when I do banking or manage my investments via the Web, the
> financial institutions with which I have accounts required that I allow all
> cookies and images and that I enable popups.  Those sites also get very
> confused by my tracking-inhibiting extension.  Yes, I could whitelist those
> sites for cookies, images, and the tracking-inhibiting extension; but I
> never know what third-party domains also need to be whitelisted.  Thus, I
> have a separate profile for money management with the preferences set
> accordingly and the tracking-inhibiting extension not installed.

That's great. However, for the billionth time, stop listing usecases for profiles. Notice the "UI" part of this bug title. All that is being discussed is the interface for the profiles system, not the profiles system itself. You can use the dedicated profile manager instead[1].

 [1]: https://developer.mozilla.org/en-US/docs/Profile_Manager
Comment 108 Jean-Marie COUPRIE 2014-03-28 09:03:34 PDT
To avoid useless discussions (during for more than 10 years) can some one with strong authority in development state that :
1) the need for several profiles and a way (e.g. UI) to switch from one to another is agreed/recognized. (no more use cases needed)
2) there are presently 2 ways to choose the profile at start up of Firefox :
a) the old way integrated in FF,
b) an external program by Griffin that has been ruined (false error message) by the resolution of an other bug and is no more supported/updated,
3) that the solutions are :
-keep a), improve it and suppress b),
-improve b) and suppress a),
-create something new and after its successful implementation suppress a) and b).
4)Give to users an approximate time frame e.g. 6 months, 1 year, several years...
Comment 109 Jonathan Griffin (:jgriffin) 2014-03-28 09:33:19 PDT
> b) an external program by Griffin that has been ruined (false error message) by the resolution of an 
> other bug and is no more supported/updated,

I'd love to find a community owner for this; if anyone is interested, please contact me.
Comment 110 muis.aja 2015-12-06 10:41:07 PST Comment hidden (off-topic)
Comment 111 Benjamin Young 2016-06-21 07:44:06 PDT
https://addons.mozilla.org/en-US/firefox/addon/profilist/ has great UX for Profiles.

Also, compared to the upcoming Containers system, it's much cleaner, safer, and clearer as to it's purpose and trustworthiness (separate, customizable space per-identity vs. tab + a color ribbon and forced "topic" name).

I found this antique bug report from the wiki on Containers which cited that Profiles were "too much work for people." It's not, if the UX is improved. It will only get worse if you remove what little (hidden) UX there is now.

Please don't.
Comment 112 John Hesling [:John99] (NeedInfo me) 2016-07-28 23:21:16 PDT
Brief Update

(In reply to John Hesling [:John99] from comment #104)
> ...
> All current Firefox versions including the Nightly UX have the built-in
> profile manager still. (The standard Nightly is now also Australis)
> There is a standalone profile manager available see
> https://developer.mozilla.org/en-US/docs/Profile_Manager 
> ...

The standalone profile manager may well now be broken and unsupported.
Progress may be made on replacing the profile manager.
Firefox Release now has about:profiles

See for example Bug 1232629 

I do hope the new about:profiles is documented, and if the existing profile manager is deprecated other than seammlessly being replaced by about:profiles that the deprecation and alternative is well documented in advance.

Note You need to log in before you can comment on or make changes to this bug.